Package com.ocient.jdbc.proto

## Class PlanProtocol.StatsTableInfo.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.StatsTableInfo.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.StatsTableInfoOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.StatsTableInfo

    public static final class PlanProtocol.StatsTableInfo.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>
    implements PlanProtocol.StatsTableInfoOrBuilder

    Table info used for stats requests

Protobuf type `xg.db.sqlPlans.StatsTableInfo`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.StatsTableInfo.Builder` `addAllColumns​(Iterable<? extends PlanProtocol.StatsColInfo> values)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo.Builder` `addColumns​(int index, PlanProtocol.StatsColInfo value)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo.Builder` `addColumns​(int index, PlanProtocol.StatsColInfo.Builder builderForValue)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo.Builder` `addColumns​(PlanProtocol.StatsColInfo value)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo.Builder` `addColumns​(PlanProtocol.StatsColInfo.Builder builderForValue)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsColInfo.Builder` `addColumnsBuilder()` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsColInfo.Builder` `addColumnsBuilder​(int index)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.StatsTableInfo` `build()`
`PlanProtocol.StatsTableInfo` `buildPartial()`
`PlanProtocol.StatsTableInfo.Builder` `clear()`
`PlanProtocol.StatsTableInfo.Builder` `clearColumns()` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.StatsTableInfo.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.StatsTableInfo.Builder` `clearStorageSpaceUuid()` `string storage_space_uuid = 2;`
`PlanProtocol.StatsTableInfo.Builder` `clearTableUuid()` `string table_uuid = 1;`
`PlanProtocol.StatsTableInfo.Builder` `clone()`
`PlanProtocol.StatsColInfo` `getColumns​(int index)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsColInfo.Builder` `getColumnsBuilder​(int index)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`List<PlanProtocol.StatsColInfo.Builder>` `getColumnsBuilderList()` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`int` `getColumnsCount()` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`List<PlanProtocol.StatsColInfo>` `getColumnsList()` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsColInfoOrBuilder` `getColumnsOrBuilder​(int index)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`List<? extends PlanProtocol.StatsColInfoOrBuilder>` `getColumnsOrBuilderList()` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getStorageSpaceUuid()` `string storage_space_uuid = 2;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidBytes()` `string storage_space_uuid = 2;`
`String` `getTableUuid()` `string table_uuid = 1;`
`com.google.protobuf.ByteString` `getTableUuidBytes()` `string table_uuid = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.StatsTableInfo.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.StatsTableInfo.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.StatsTableInfo.Builder` `mergeFrom​(PlanProtocol.StatsTableInfo other)`
`PlanProtocol.StatsTableInfo.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.StatsTableInfo.Builder` `removeColumns​(int index)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo.Builder` `setColumns​(int index, PlanProtocol.StatsColInfo value)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo.Builder` `setColumns​(int index, PlanProtocol.StatsColInfo.Builder builderForValue)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsTableInfo.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.StatsTableInfo.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.StatsTableInfo.Builder` `setStorageSpaceUuid​(String value)` `string storage_space_uuid = 2;`
`PlanProtocol.StatsTableInfo.Builder` `setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)` `string storage_space_uuid = 2;`
`PlanProtocol.StatsTableInfo.Builder` `setTableUuid​(String value)` `string table_uuid = 1;`
`PlanProtocol.StatsTableInfo.Builder` `setTableUuidBytes​(com.google.protobuf.ByteString value)` `string table_uuid = 1;`
`PlanProtocol.StatsTableInfo.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### clear

    public PlanProtocol.StatsTableInfo.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.StatsTableInfo getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.StatsTableInfo build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.StatsTableInfo buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.StatsTableInfo.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### setField

    public PlanProtocol.StatsTableInfo.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### clearField

    public PlanProtocol.StatsTableInfo.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### clearOneof

    public PlanProtocol.StatsTableInfo.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### setRepeatedField

    public PlanProtocol.StatsTableInfo.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                int index,
                                                                Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### addRepeatedField

    public PlanProtocol.StatsTableInfo.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### mergeFrom

    public PlanProtocol.StatsTableInfo.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### mergeFrom

    public PlanProtocol.StatsTableInfo.Builder mergeFrom​(PlanProtocol.StatsTableInfo other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### mergeFrom

    public PlanProtocol.StatsTableInfo.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.StatsTableInfo.Builder>`
Throws:
  `IOException`

#### getTableUuid

    public String getTableUuid()

`string table_uuid = 1;`

Specified by:
  `getTableUuid` in interface `PlanProtocol.StatsTableInfoOrBuilder`
Returns:
  The tableUuid.

#### getTableUuidBytes

    public com.google.protobuf.ByteString getTableUuidBytes()

`string table_uuid = 1;`

Specified by:
  `getTableUuidBytes` in interface `PlanProtocol.StatsTableInfoOrBuilder`
Returns:
  The bytes for tableUuid.

#### setTableUuid

    public PlanProtocol.StatsTableInfo.Builder setTableUuid​(String value)

`string table_uuid = 1;`

Parameters:
  `value` - The tableUuid to set.
Returns:
  This builder for chaining.

#### clearTableUuid

    public PlanProtocol.StatsTableInfo.Builder clearTableUuid()

`string table_uuid = 1;`

Returns:
  This builder for chaining.

#### setTableUuidBytes

    public PlanProtocol.StatsTableInfo.Builder setTableUuidBytes​(com.google.protobuf.ByteString value)

`string table_uuid = 1;`

Parameters:
  `value` - The bytes for tableUuid to set.
Returns:
  This builder for chaining.

#### getStorageSpaceUuid

    public String getStorageSpaceUuid()

`string storage_space_uuid = 2;`

Specified by:
  `getStorageSpaceUuid` in interface `PlanProtocol.StatsTableInfoOrBuilder`
Returns:
  The storageSpaceUuid.

#### getStorageSpaceUuidBytes

    public com.google.protobuf.ByteString getStorageSpaceUuidBytes()

`string storage_space_uuid = 2;`

Specified by:
  `getStorageSpaceUuidBytes` in interface `PlanProtocol.StatsTableInfoOrBuilder`
Returns:
  The bytes for storageSpaceUuid.

#### setStorageSpaceUuid

    public PlanProtocol.StatsTableInfo.Builder setStorageSpaceUuid​(String value)

`string storage_space_uuid = 2;`

Parameters:
  `value` - The storageSpaceUuid to set.
Returns:
  This builder for chaining.

#### clearStorageSpaceUuid

    public PlanProtocol.StatsTableInfo.Builder clearStorageSpaceUuid()

`string storage_space_uuid = 2;`

Returns:
  This builder for chaining.

#### setStorageSpaceUuidBytes

    public PlanProtocol.StatsTableInfo.Builder setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)

`string storage_space_uuid = 2;`

Parameters:
  `value` - The bytes for storageSpaceUuid to set.
Returns:
  This builder for chaining.

#### getColumnsList

    public List<PlanProtocol.StatsColInfo> getColumnsList()

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

Specified by:
  `getColumnsList` in interface `PlanProtocol.StatsTableInfoOrBuilder`

#### getColumnsCount

    public int getColumnsCount()

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

Specified by:
  `getColumnsCount` in interface `PlanProtocol.StatsTableInfoOrBuilder`

#### getColumns

    public PlanProtocol.StatsColInfo getColumns​(int index)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

Specified by:
  `getColumns` in interface `PlanProtocol.StatsTableInfoOrBuilder`

#### setColumns

    public PlanProtocol.StatsTableInfo.Builder setColumns​(int index,
                                                          PlanProtocol.StatsColInfo value)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### setColumns

    public PlanProtocol.StatsTableInfo.Builder setColumns​(int index,
                                                          PlanProtocol.StatsColInfo.Builder builderForValue)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### addColumns

    public PlanProtocol.StatsTableInfo.Builder addColumns​(PlanProtocol.StatsColInfo value)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### addColumns

    public PlanProtocol.StatsTableInfo.Builder addColumns​(int index,
                                                          PlanProtocol.StatsColInfo value)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### addColumns

    public PlanProtocol.StatsTableInfo.Builder addColumns​(PlanProtocol.StatsColInfo.Builder builderForValue)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### addColumns

    public PlanProtocol.StatsTableInfo.Builder addColumns​(int index,
                                                          PlanProtocol.StatsColInfo.Builder builderForValue)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### addAllColumns

    public PlanProtocol.StatsTableInfo.Builder addAllColumns​(Iterable<? extends PlanProtocol.StatsColInfo> values)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### clearColumns

    public PlanProtocol.StatsTableInfo.Builder clearColumns()

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### removeColumns

    public PlanProtocol.StatsTableInfo.Builder removeColumns​(int index)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### getColumnsBuilder

    public PlanProtocol.StatsColInfo.Builder getColumnsBuilder​(int index)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### getColumnsOrBuilder

    public PlanProtocol.StatsColInfoOrBuilder getColumnsOrBuilder​(int index)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

Specified by:
  `getColumnsOrBuilder` in interface `PlanProtocol.StatsTableInfoOrBuilder`

#### getColumnsOrBuilderList

    public List<? extends PlanProtocol.StatsColInfoOrBuilder> getColumnsOrBuilderList()

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

Specified by:
  `getColumnsOrBuilderList` in interface `PlanProtocol.StatsTableInfoOrBuilder`

#### addColumnsBuilder

    public PlanProtocol.StatsColInfo.Builder addColumnsBuilder()

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### addColumnsBuilder

    public PlanProtocol.StatsColInfo.Builder addColumnsBuilder​(int index)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### getColumnsBuilderList

    public List<PlanProtocol.StatsColInfo.Builder> getColumnsBuilderList()

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### setUnknownFields

    public final PlanProtocol.StatsTableInfo.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.StatsTableInfo.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsTableInfo.Builder>`